This article was created in response to a support issue logged with K2. The content may include typographical errors and may be revised at any time without notice This article is not considered official documentation for K2 software and is provided “as is” with no warranties.

Issue

When launching the K2 Update Manager to upgrade from K2 4.7 to K2 5.1, the following error is shown and prevents the continuation of the upgrade:

Image

"Installation requires admin rights to continue.  Grant [AccountPerformingUpgrade] this permission before proceeding."

Symptoms

1.  The account performing the installation does have K2 Server Admin rights, as the account was able to access Management functionalities via the K2 Workspace site prior to beginning the upgrade.  The account had K2 Server Admin rights via an Active Directory group instead of being explicitly added.

2.  After the error was shown, attempting to re-access the Server Rights via K2 Workspace to validate/or explicitly add the user resulted in an 'Invalid Archive Type' error.  This is a known issue when running the Update Manager but not completing the upgrade or cancelling out of the wizard;  this will update assemblies in the GAC and cause these 'Invalid Archive Type' errors.

Resolution

The account performing the upgrade was inserted in the [Server].[ServerUser] table via SQL and explicitly given Admin and Export rights to allow for the starting of the upgrade.  Once the server is fully upgraded, the 'Invalid Archive Type' error will also be resolved.